> For the complete documentation index, see [llms.txt](https://docs.mdintegrations.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.mdintegrations.com/partner-api-reference/cases/tags/attach-a-tag-to-case.md).

# Attach a tag to case

Attaches the given tag to the case with an optional note, provided the tag isn't already attached and, for private or partner-scoped tags, belongs to the case's assigned clinician or partner. This records a history entry, triggers a case-tag-added workflow execution, logs an audit event, and dispatches a webhook to the partner.

```json
{"openapi":"3.1.0","info":{"title":"MD Integrations","version":"1.0.0"},"tags":[{"name":"Cases/Tags"}],"servers":[{"url":"https://api.mdintegrations.dev/v1","description":"Development"}],"security":[{"oauth2":[]}],"components":{"securitySchemes":{"oauth2":{"type":"oauth2","flows":{"clientCredentials":{"tokenUrl":"https://api.mdintegrations.dev/v1/partner/auth/token","scopes":{"*":"Full partner account access"}}}}},"schemas":{"AttachTagToCaseRequest":{"type":"object","properties":{"notes":{"type":["string","null"]}},"title":"AttachTagToCaseRequest"},"TagResource":{"type":"object","properties":{"id":{"type":"string","description":"Attributes;"},"notes":{"type":"string"},"name":{"type":"string"},"key":{"type":"string"},"description":{"type":["string","null"]},"color":{"type":"string"},"type":{"type":"string"},"removable_role":{"type":["string","null"]},"created_at":{"type":["string","null"],"format":"date-time"},"updated_at":{"type":["string","null"],"format":"date-time"}},"required":["id","notes","name","key","description","color","type","removable_role","created_at","updated_at"],"title":"TagResource"}},"responses":{"AuthorizationException":{"description":"Authorization error","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","description":"Error overview."}},"required":["message"]}}}},"ModelNotFoundException":{"description":"Not found","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","description":"Error overview."}},"required":["message"]}}}},"ValidationException":{"description":"Validation error","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","description":"Errors overview."},"errors":{"type":"object","description":"A detailed description of each field that failed validation.","additionalProperties":{"type":"array","items":{"type":"string"}}}},"required":["message","errors"]}}}}}},"paths":{"/partner/cases/{case}/tags/{tag}":{"post":{"operationId":"v1.partners-app.cases.tags.attach","description":"Attaches the given tag to the case with an optional note, provided the tag isn't\nalready attached and, for private or partner-scoped tags, belongs to the case's\nassigned clinician or partner. This records a history entry, triggers a case-tag-added\nworkflow execution, logs an audit event, and dispatches a webhook to the partner.","summary":"Attach a tag to case","tags":["Cases/Tags"],"parameters":[{"name":"case","in":"path","required":true,"description":"The case ID","schema":{"type":"string"}},{"name":"tag","in":"path","required":true,"description":"The tag ID","schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AttachTagToCaseRequest"}}}},"responses":{"200":{"description":"`TagResource`","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TagResource"}}}},"403":{"$ref":"#/components/responses/AuthorizationException"},"404":{"$ref":"#/components/responses/ModelNotFoundException"},"422":{"$ref":"#/components/responses/ValidationException"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.mdintegrations.com/partner-api-reference/cases/tags/attach-a-tag-to-case.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
